Bug 132510 - Japanese is scrambled in nano
Japanese is scrambled in nano
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: nano (Show other bugs)
3
All Linux
medium Severity high
: ---
: ---
Assigned To: David Woodhouse
: i18n
Depends On:
Blocks: FC3Target FC4Target
  Show dependency treegraph
 
Reported: 2004-09-14 04:32 EDT by Nakai
Modified: 2007-11-30 17:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-28 02:17:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nakai 2004-09-14 04:32:36 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; ja-JP; rv:1.6) Gecko/20040510

Description of problem:
Japanese text is scrambled in nano.
It breaks Fedora Linux i18n consistency.



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Run nano
2. Input Japanese
3. Scrambled.
    

Actual Results:  Scrambled.

Expected Results:  Sane Japanese.

Additional info:

EUC-JP looks like work fine.

I set the severity is high because such bug is so critical
for the applications.
Comment 1 David Woodhouse 2005-04-07 02:51:49 EDT
In the absence of a stable release of nano which supports UTF-8 properly, I've
packaged a snapshot from its development CVS for FC4-test. Please could you test
this?
Comment 2 Leon Ho 2005-05-16 21:55:49 EDT
I just got it tested. It still cannot show all the characters. Test case as follow:
Test case 1:
0. (Setup IIIMF input method)
1. LANG=ja_JP.UTF-8 gnome-terminal --disable-factory
2. LANG=ja_JP.UTF-8 nano
3. <shift>-<space>, sushi, <enter>

Test case 2:
- Open firefox and open http://www.yahoo.co.jp
- Cut and paste japanese texts into nano
Comment 3 Matthew Miller 2006-07-10 16:30:48 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 4 Caius Chance 2006-08-28 02:17:09 EDT
I have run the test case mentioned by Leon Ho with latest devel snapshot and passed.

Test Case:
0. (Setup SCIM input method)
1. LANG=ja_JP.UTF-8 gnome-terminal --disable-factory
2. LANG=ja_JP.UTF-8 nano
3. Copy japanese phrase "寿司"(sushi) and "おはいよございます"(ohaiyogozaimasu)
into nano and it works fine. All characters are displayed properly.

Packages:
scim-1.4.4-32.fc6
scim-chewing-debuginfo-0.3.1-2.1
scim-bridge-0.3.1-1.fc6
scim-debuginfo-1.4.4-32.fc6
scim-chewing-0.3.1-2.1
scim-tables-0.5.6-7
scim-devel-1.4.4-32.fc6
scim-libs-1.4.4-32.fc6
scim-bridge-gtkimm-0.3.1-1.fc6
scim-doc-1.4.4-32.fc6
scim-pinyin-0.5.91-11.4.fc6
scim-tables-chinese-0.5.6-7
gnome-terminal-2.15.4-1.fc6
nano-1.3.12-1.1

Note You need to log in before you can comment on or make changes to this bug.